Subject: [6lo] Mirja Kühlewind's No Objection on draft-ietf-6lo-rfc6775-update-17: (with COMMENT)

From: Mirja Kühlewind <[email-masked]>
Date: Wed, 04 Apr 2018 05:41:38 -0700

Mirja Kühlewind has entered the following ballot position for
draft-ietf-6lo-rfc6775-update-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-6lo-rfc6775-update/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I believe this document would have been easier to read for me if section 6
would have been before section 4; however, I guess that's a matter of taste.

On the TID in section 6.1: Should this field be zero if the T flag is not set?
I guess you should at least say that the field should be ignored if the T flag
is not set.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 4 Apr 2018 15:42:56 +0000

Hello Mirja:

Thanks a bunch for your review! Let's see below:

> -----Original Message-----
> From: 6lo <[email-masked]> On Behalf Of Mirja Kühlewind
> Sent: mercredi 4 avril 2018 14:42
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; draft-ietf-6lo-
> [email-masked]; [email-masked]
> Subject: [6lo] Mirja Kühlewind's No Objection on draft-ietf-6lo-rfc6775-update-
> 17: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
[PT>] You made me think. Some text is in place for historic reasons but overgrew over time.
Section 5 was really about updating RFC 7400. 
After a suggested renaming, I found it made more sense to move it in the backward compatibility section.
Then I looked at section 6 and found no objection moving it up. If that makes life easier for the reader, so be it : )
One thing leading to another I found some duplication between ex section 5 and 6 that I eliminated with a minimum restructuring.
I hope the result is more readable :)
> I guess you should at least say that the field should be ignored if the T flag is
> not set.
> 

[PT>] Sure, I added that text there and in the EARO section as well. It is all now section 4.

Many thanks!

Take care,

Pascal

> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo